/* Columns               ----------------------------------------------------------- */
.wp-block-columns { display:flex; margin-bottom: 0px; padding:0 0 0 0 !important; flex-wrap:nowrap; gap: 0 20px; flex-direction: row; }
.leftcolumns      { display:flex; margin-bottom: 0px; padding:0 0 0 0 !important; flex-wrap:nowrap; gap: 0 20px; flex-direction: row; width: 100%; }
.nogap, .is-style-nogap { gap: 0; margin-bottom:0 }
.nogap .wp-block-column, .is-style-nogap .wp-block-column{ padding:0 !important}
.wp-block-column, .leftcolumn  { flex-basis:0; flex-grow:1; min-width:0; word-break:break-word; overflow-wrap:break-word;
                    padding: 10px !important; overflow: hidden; box-sizing: border-box;}
.wp-block-columns .wp-block-column:has( div.wp-block-cover ) { padding: 0 !important; } 
.wp-block-column[style*=flex-basis] { flex-grow:0 }

.wp-block-columns.are-vertically-aligned-top{align-items:flex-start}
.wp-block-columns.are-vertically-aligned-center{align-items:center}
.wp-block-columns.are-vertically-aligned-bottom{align-items:flex-end}
.wp-block-columns.is-not-stacked-on-mobile{flex-wrap:nowrap!important}
.wp-block-columns.is-not-stacked-on-mobile>.wp-block-column{flex-basis:0;flex-grow:1}
.wp-block-columns.is-not-stacked-on-mobile>.wp-block-column[style*=flex-basis]{flex-grow:0}:where(.wp-block-columns){margin-bottom:1.75em}:where(.wp-block-columns.has-background){padding:1.25em 2.375em}
.wp-block-column{flex-grow:1;min-width:0;overflow-wrap:break-word;word-break:break-word}
.wp-block-column.is-vertically-aligned-top{align-self:flex-start}
.wp-block-column.is-vertically-aligned-center{align-self:center}
.wp-block-column.is-vertically-aligned-bottom{align-self:flex-end}
.wp-block-column.is-vertically-aligned-stretch{align-self:stretch}
.wp-block-column.is-vertically-aligned-bottom,.wp-block-column.is-vertically-aligned-center,.wp-block-column.is-vertically-aligned-top{width:100%}



@media (max-width:781px){
   .wp-block-columns { display:flex; margin-bottom: 0px; padding:0 0 0 0; flex-wrap:nowrap; gap: 0 20px; flex-direction: row; }
   
   /* stapeln */
   .wp-block-columns:not(.is-not-stacked-on-mobile) { flex-wrap: wrap }
   .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column { flex-basis: 100%; flex-grow: 1; margin-bottom: 20px; }

   /* keep2 */
   .is-style-keep2, .keep2 { flex-wrap: wrap !important; }
   .is-style-keep2 > .wp-block-column, .keep2 > .wp-block-column { flex-basis: calc( 50% - 20px) !important; padding: 10px; flex-grow: 1; margin-bottom: 20px; }
   
   /* forced wrap */
   .wrapanyway, .is-style-wrapanyway { flex-wrap: wrap !important; }

}

@media screen and ( max-width: 500px ) {
   .is-style-keep2 > .wp-block-column, .keep2 > .wp-block-column,
   .is-style-keep2:not(.is-not-stacked-on-mobile) > .wp-block-column,
   .keep2:not(.is-not-stacked-on-mobile) > .wp-block-column {
    flex-basis: calc( 50% - 20px) !important; padding: 10px 5px !important; gap: 10px 10px !important  }
   .nowrap, .is-style-nowrap { flex-wrap: nowrap !important; gap: 10px;}
   .wrapanyway, .is-style-wrapanyway { flex-wrap: wrap !important; }


   /* not visible */
   .wp-block-column.is-style-nomobile { display: none; }
}